Get Folders or Documents Metadata by Parent Folder ID
GET /ws/rest/service/v1/dm/node/properties/<parent_folder_id>
Purpose
This service allows you to retrieve the folders or documents meta data under a folder path by using the parent folder node id.
Request Format
Send a request in the following format:
http://<host>:<port>/ws/rest/service/v1/dm/node/properties/<parent_folder_id>?nodetype=<value>
Supported Request Parameters
The following parameters can be included in the request.
| Request Parameter | Required? | Data Type | Description |
|---|---|---|---|
| parent_folder_id | Yes | Integer | The node id of the parent folder of the folder or document meta data is to be retrieved. |
| nodetype | No | String |
The properties of the Folder or Document depending on the nodetype. Valid values include: "Folder" and "Document". If no value is specified, both the folder and document properties will be returned. |
Sample Request
This is an example of a request to retrieve a document's meta data with a parent folder ID,2003148.
http://<host>:<port>/ws/rest/dm/node/properties/2003148?nodetype=Document
Response Format
A JSON object is returned in the following format.
{
"data": [],
"message": [],
"status": <REST status code value>
}
Sample Success Response
This is an example of a successful response.
{
"data":
[
{
"Revision No.":"",
"Owner":"Company Administrator",
"projectnumber":"B-001",
"node_path":"/DmPicker/dm1.PNG",
"Description":"",
"Pub No.":"1",
"Size":"125718",
"Default Status for Leased Space":"",
"Title":"",
"PWO Line Item No":"",
"type":"Document",
"Name":"dm1.PNG",
"parent_node_id":298716,
"Creation Date":"2018/02/13 12:45",
"project_id":1170,
"file_id":139100,
"Issue Date":"",
"Upload By":"Company Administrator",
"Upload Date":"2018/02/13 12:45",
"% Complete":"0",
"Location":"/DmPicker",
"node_id":298717
}
],
"message":
[
],
"status":200
}